Subnet88
Enthusiast
Enthusiast

Orchestrator 5.1 Appliance update

Jump to solution

Does anybody know if there will be an appliance update to Orchestrator 5.1 when it goes GA?

I see no documentation around the appliance whatsoever in the newly distributed what's new pdfs

0 Kudos
1 Solution

Accepted Solutions
cdecanini_
VMware Employee
VMware Employee

There will be a 5.1 appliance.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter

View solution in original post

0 Kudos
10 Replies
cdecanini_
VMware Employee
VMware Employee

There will be a 5.1 appliance.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
0 Kudos
Subnet88
Enthusiast
Enthusiast

Will it be available as an update to existing appliances, or will it be a rip / replace install? 

0 Kudos
cdecanini_
VMware Employee
VMware Employee

For this one I am not sure since 5.1 is not available online as an update yet.

If you use vCD 5.1 you'd better start fresh on a 5.1 vCO server + vCD 5.1 plug-in, import your existing workflow and port them to 5.1 (if you leverage a lot of library workflows the effort will be minimum but if you have your own scripting using the part of the API that have changed then it may take more time).

Christophe.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
Subnet88
Enthusiast
Enthusiast

Has documentation been released on API changes yet?

0 Kudos
cdecanini_
VMware Employee
VMware Employee

No, not yet but since this was publically demonstrated I can write the following:

There are API changes in the vCloud Director UI including an important one (OrgNetworks are replaced by OrgVDCNetworks).

In addition the vCO plug-in actions are now generated automatically. While this bring consistency, completeness and high quality this requires switching to the new actions (if you were using 1.5 library actions or maybe if you were calling objects / methods directly).

At the workflow level only minor changes are to be expected.

I may write a white paper on how to migrate 1.5 workflows to 5.1 if I have enough time and if you guys see this as something valuable.

Christophe.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
0 Kudos
qc4vmware
Virtuoso
Virtuoso

Yes please on the white paper.  I have spent a ton of time in vCO writing workflows to support our internal cloud efforts and we are anxious to upgrade to the new versions of everything announced at Vmworld. This will mean porting all of those workflows.  Your guidance will be greatly appreciated.

0 Kudos
cdecanini_
VMware Employee
VMware Employee

I will try my best. In the meantime if other people reading this are interested please add a comment. The more comment the more chances I can work on it.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
0 Kudos
dimitrovg
VMware Employee
VMware Employee

There will be update option. As Christophe wrote because of some API changes in some of the plugins, custom workflows need to be updated.

0 Kudos
Subnet88
Enthusiast
Enthusiast

Now that the bits are out for 5.1. I do not see an update available for the appliance, Is one going to be mad available, or are we stuck exporting configs, and importing into the new rev?

0 Kudos
cdecanini_
VMware Employee
VMware Employee

If you use it for vCloud Director 5.1 (and not anymore 1.5) then I would highly recommend deploying a brand new 5.1 appliance. I am not sure when the upgrade will be made available.

Christophe.

If my answer resolved or helped you, please mark it as Correct or Helpful to award points. Thank you! Visit http://www.vcoteam.info & http://blogs.vmware.com/orchestrator for vCenter Orchestrator tips and tutorials - @vCOTeam on Twitter
0 Kudos